<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

/**
*
* @package Booklibrary
* @copyright 2010 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru);
* Homepage: http://www.joomlawebserver.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @version: 1.5 Free $
*
**/

$showInterior_extras  = $params->get ('showInterior_extras', 0);
$showSafety_options = $params->get ('showSafety_options', 0);
$showWarranty_options = $params->get ('showWarranty_options', 0);
$showInterior_colors  = $params->get ('showInterior_colors', 0);
$showWheeltype  = $params->get ('showWheeltype', 0);


if( !function_exists( 'categoryArray')) {
  function categoryArray()
  {
    global $database;
    // get a list of the menu items
    $query = "SELECT c.*, c.parent_id AS parent"
    . "\n FROM #__categories c"
    . "\n WHERE section='com_booklibrary'"
    . "\n AND published <> -2"
    . "\n ORDER BY ordering" ;
    $database->setQuery($query);
    $items = $database->loadObjectList();
    // establish the hierarchy of the menu
    $children = array();
    // first pass - collect children
    foreach ($items as $v) {
      $pt = $v->parent;
      $list = @$children[$pt] ? $children[$pt] : array();
      array_push($list, $v);
      $children[$pt] = $list;
    }
    // second pass - get an indent list of the items
    $array = mosTreeRecurse(0, '', array(), $children);
  
    return $array;
  }
}


if( !function_exists( 'mod_categoryTreeList')) {
  function mod_categoryTreeList($id, $action,$is_new, $options = array())
  {
    global  $database;
    $list = categoryArray();
    $cat = new mosCategory($database);
    $cat->load($id);
  
    $this_treename = '';
    $childs_ids =  Array();
    foreach ($list as $item) {
      if ($item->id == $cat->id || array_key_exists($item->parent_id,$childs_ids) )
      $childs_ids[$item->id] = $item->id;
    }
  
    foreach ($list as $item) {
      if ($this_treename) {
        if ($item->id != $cat->id
          && strpos($item->treename, $this_treename) === false
          && array_key_exists($item->id,$childs_ids) === false) {
          $options[] = mosHTML::makeOption($item->id, $item->treename);
        }
      } else {
        if ($item->id != $cat->id) {
          $options[] = mosHTML::makeOption($item->id, $item->treename);
        } else {
          $this_treename = "$item->treename/";
        }
      }
    }
  
    $parent= null;
    $parent = mosHTML::selectList($options, 'catid',
  'class="inputbox" size="1"', 'value', 'text', $cat->parent_id);
    return $parent;
  }
}
	
if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}

  
  global $mosConfig_absolute_path, $mosConfig_allowUserRegistration,$mosConfig_lang, $database;

	include('./administrator/components/com_booklibrary/compat.joomla1.5.php');
//	require_once ($mosConfig_absolute_path."/components/com_booklibrary/language/{$mosConfig_lang}.php" );
		if (file_exists($mosConfig_absolute_path."/components/com_booklibrary/language/{$mosConfig_lang}.php" )) {
		require_once($mosConfig_absolute_path."/components/com_booklibrary/language/{$mosConfig_lang}.php" );
		}
		else {
			require_once($mosConfig_absolute_path."/components/com_booklibrary/language/english.php" );
		}
// load language
//	if(@ _BOOKLIBRARY_SHOW_SEARCH_FOR_ALL == '_BOOKLIBRARY_SHOW_SEARCH_FOR_ALL')
//	{

//	}

$showAuthor = $params->get ('showAuthor', 0);
$showTitle  = $params->get ('showTitle', 0);
$showIsbn = $params->get ('showIsbn', 0);
$showDescription  = $params->get ('showDescription', 0);
$showPublisher  = $params->get ('showPublisher', 0);
$showAdvanceSearch = $params->get ('showAdvanceSearch', 0);



	$categories[] = mosHTML :: makeOption('0', _BOOKLIBRARY_SEARCH_CATEGORY );
	$database->setQuery("SELECT id  FROM #__menu WHERE link LIKE '%com_booklibrary%' ORDER BY link");
	$Itemid = $database->loadResult();

	$clist = mod_categoryTreeList(0,'',true,$categories);
 ?>
<div>
	<form action="index.php" method="get" name="mod_booklibsearchForm">
 <table border="0" cellpadding="4" cellspacing="0" width="100%">
   <tr>
				 <td align="left">
				   <?php echo _BOOKLIBRARY_LABEL_SEARCH_BUTTON ?>:&nbsp;
				 </td>
	</tr>
	<tr>
		 <td align="left">
				<input class="inputbox" type="text" name="searchtext" size="20" maxlength="20"/>
		 </td>
	</tr>

  <?php if($showAuthor==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _BOOKLIBRARY_SHOW_SEARCH_FOR_AUTORS ?>:&nbsp;<input type="checkbox" name="author" checked="checked">
    </td>
  </tr>
  <?php }elseif($showAuthor==1){ ?>
    <input type="hidden" name="author" value="on">
  <?php }?>  
  
  <?php if($showTitle==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _BOOKLIBRARY_SHOW_SEARCH_FOR_TITLE ?>:&nbsp;<input type="checkbox" name="title" checked="checked">
    </td>
  </tr>
  <?php }elseif($showTitle==1){ ?>
    <input type="hidden" name="title" value="on">
  <?php }?>  
  
  <?php if($showIsbn==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _BOOKLIBRARY_SHOW_SEARCH_FOR_ISBN ?>:&nbsp;<input type="checkbox" name="isbn" checked="checked">
    </td>
  </tr>
  <?php }elseif($showIsbn==1){ ?>
    <input type="hidden" name="isbn" value="on">
  <?php }?>  
  <?php if($showDescription==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _BOOKLIBRARY_SHOW_SEARCH_FOR_DESCRIPTION ?>:&nbsp;<input type="checkbox" name="description" checked="checked">
    </td>
  </tr>
  <?php }elseif($showDescription==1){ ?>
    <input type="hidden" name="description" value="on">
  <?php }?>  
        
  <?php if($showPublisher==0){?>
  <tr>
    <td  align="left" nowrap>
    <?php echo _BOOKLIBRARY_SHOW_SEARCH_FOR_PUBLISHER ?>:&nbsp;<input type="checkbox" name="publisher" checked="checked">
    </td>
  </tr>
  <?php }elseif($showPublisher==1){ ?>
    <input type="hidden" name="publisher" value="on">
  <?php }?>  

	<tr>
		<td align="left">
			<?php echo _BOOKLIBRARY_HEADER_CATEGORY ?>:&nbsp;
		</td>
	</tr>
	<tr>
	  <td align="left">
			  <?php echo $clist; ?>
	  </td>
  </tr>
	<tr>
		<td align="left" colspan="2" style="margin: 5px;padding: 5px;">
		<div style="float:left;margin-right: 5px"><input type="submit" value="<?php echo _BOOKLIBRARY_LABEL_SEARCH_BUTTON; ?>" class="button" /></div>
		
  <?php if($showAdvanceSearch==0){
     $link1 ="index.php?option=com_booklibrary&amp;task=show_search&amp;catid=0&amp;Itemid=".$Itemid; 
  ?>
    <div style="font-size: smaller;line-height: 0.9em"> <a href="<?php echo sefRelToAbs($link1); ?>"> <?php echo _BOOKLIBRARY_ADVANCED_SEARCH; ?></a></div>
  <?php } ?>
			<input type="hidden" name="option" value="com_booklibrary">
			<input type="hidden" name="task" value="search">
			<input type="hidden" name="Itemid" value="<?php echo $Itemid ?>">
		</td>
	</tr>
		    </table>
		</form>
</div>
